<!doctype html>
<html lang="en">

<head>
    <title>Title</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
</head>

<body>


    <div class="container">
        <div class="row">
            <div class="col" id="first">
                <input type="text">
                <div class="d-flex flex-row">
                    <div class="p-2"> <button>red</button></div>
                    <div class="p-2"> <button>yellow</button></div>
                    <div class="p-2"><button>green</button></div>
                </div>
            </div>
            <div class="col" id="second">
                <input type="text">
                <div class="d-flex flex-row">
                    <div class="p-2"> <button>pink</button></div>
                    <div class="p-2"> <button>orange</button></div>
                    <div class="p-2"><button>blue</button></div>
                </div>
            </div>
            <div class="col" id="third">
                <input type="text">
                <div class="d-flex flex-row">
                    <div class="p-2"> <button>grey</button></div>
                    <div class="p-2"> <button>purple</button></div>
                    <div class="p-2"><button>brown</button></div>
                </div>
            </div>
        </div>


    </div>



    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
        integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
        crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
        integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
        crossorigin="anonymous"></script>
</body>

</html>
